<?php

return array(
	'title'      => esc_html__( 'Footer Setting', 'arkina' ),
	'id'         => 'footer_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'footer_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Footer Source Type', 'arkina' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'arkina' ),
				'e' => esc_html__( 'Elementor', 'arkina' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'footer_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'arkina' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'footer_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'footer_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Settings', 'arkina' ),
			'required' => array( 'footer_source_type', '=', 'd' ),
		),
		array(
		    'id'       => 'footer_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Footer Styles', 'arkina' ),
		    'subtitle' => esc_html__( 'Choose Footer Styles', 'arkina' ),
		    'options'  => array(

			    'footer_v1'  => array(
				    'alt' => esc_html__( 'Footer Style 1', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v1.png',
			    ),
				'footer_v2'  => array(
				    'alt' => esc_html__( 'Footer Style 2', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v2.png',
			    ),
			),
			'required' => array( 'footer_source_type', '=', 'd' ),
			'default' => 'footer_v1',
	    ),
		
		
		/***********************************************************************
								Footer Version 1 Start
		************************************************************************/
		array(
			'id'       => 'footer_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style One Settings', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		//Contact Info
		array(
			'id'      => 'footer_contact_title',
			'type'    => 'text',
			'title'   => __( 'Contact Title', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_phone_no',
			'type'    => 'text',
			'title'   => __( 'Phone Number', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_email_address',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		
		//Working Time
		array(
			'id'      => 'footer_working_title',
			'type'    => 'text',
			'title'   => __( 'Working Title', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_working_time',
			'type'    => 'text',
			'title'   => __( 'Working Time', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_working_off',
			'type'    => 'text',
			'title'   => __( 'Working Off', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		//Social Icon Links
		array(
			'id'      => 'footer_social_link',
			'type'    => 'text',
			'title'   => __( 'Linkedin Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_social_link2',
			'type'    => 'text',
			'title'   => __( 'Twitter Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_social_link3',
			'type'    => 'text',
			'title'   => __( 'Facebook Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
			'id'      => 'footer_social_link4',
			'type'    => 'text',
			'title'   => __( 'Instagram Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		//Copyright Text
		array(
			'id'      => 'footer_v1_copyright_text',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		
		/***********************************************************************
								Footer Version 2 Start
		************************************************************************/
		array(
			'id'       => 'footer_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Two Settings', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		//Contact Info
		array(
			'id'      => 'footer_contact_title_v2',
			'type'    => 'text',
			'title'   => __( 'Contact Title', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_phone_no_v2',
			'type'    => 'text',
			'title'   => __( 'Phone Number', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_email_address_v2',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		
		//Working Time
		array(
			'id'      => 'footer_working_title_v2',
			'type'    => 'text',
			'title'   => __( 'Working Title', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_working_time_v2',
			'type'    => 'text',
			'title'   => __( 'Working Time', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_working_off_v2',
			'type'    => 'text',
			'title'   => __( 'Working Off', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		//Social Icon Links
		array(
			'id'      => 'footer_social_link_v2',
			'type'    => 'text',
			'title'   => __( 'Linkedin Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_social_link2_v2',
			'type'    => 'text',
			'title'   => __( 'Twitter Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_social_link3_v2',
			'type'    => 'text',
			'title'   => __( 'Facebook Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		array(
			'id'      => 'footer_social_link4_v2',
			'type'    => 'text',
			'title'   => __( 'Instagram Link', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		//Copyright Text
		array(
			'id'      => 'footer_v2_copyright_text',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'arkina' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),		
		
		array(
			'id'       => 'footer_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'footer_source_type', '=', 'd' ],
		),
	),
);
