<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'arkina' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'arkina' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'arkina' ),
				'e' => esc_html__( 'Elementor', 'arkina' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'arkina' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'header_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'header_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Settings', 'arkina' ),
			'required' => array( 'header_source_type', '=', 'd' ),
		),

		//Header Settings
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'arkina' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'arkina' ),
		    'options'  => array(

			    'header_v1'  => array(
				    'alt' => esc_html__( 'Header Style 1', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v1.png',
			    ),
			    'header_v2'  => array(
				    'alt' => esc_html__( 'Header Style 2', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v2.png',
			    ),
				'header_v3'  => array(
				    'alt' => esc_html__( 'Header Style 3', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v3.png',
			    ),
				'header_v4'  => array(
				    'alt' => esc_html__( 'Header Style 4', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v4.png',
			    ),
				'header_v5'  => array(
				    'alt' => esc_html__( 'Header Style 5', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v5.png',
			    ),
				'header_v6'  => array(
				    'alt' => esc_html__( 'Header Style 6', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v6.png',
			    ),
				'header_v7'  => array(
				    'alt' => esc_html__( 'Header Style 7', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v7.png',
			    ),
				'header_v8'  => array(
				    'alt' => esc_html__( 'Header Style 8', 'arkina' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v2.png',
			    ),
			),
			'required' => array( 'header_source_type', '=', 'd' ),
			'default' => 'header_v1',
	    ),

		/***********************************************************************
								Header Version 1 Start
		************************************************************************/
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style One Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
		),		
		//Lets Connect Button
		array(
            'id' => 'show_btn_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'header_btn_title',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v1', '=', true ),
		),
		array(
			'id'      => 'header_btn_link',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v1', '=', true ),
		),
		
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Two Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
		//Lets Connect Button
		array(
            'id' => 'show_btn_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'header_btn_title_v2',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v2', '=', true ),
		),
		array(
			'id'      => 'header_btn_link_v2',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v2', '=', true ),
		),
		
        /***********************************************************************
								Header Version 3 Start
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Three Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
		//Lets Connect Button
		array(
            'id' => 'show_btn_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
			'id'      => 'header_btn_title_v3',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v3', '=', true ),
		),
		array(
			'id'      => 'header_btn_link_v3',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v3', '=', true ),
		),
				
		/***********************************************************************
								Header Version 4 Start
		************************************************************************/
		array(
			'id'       => 'header_v4_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Four Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v4' ),
		),
		//Lets Connect Button
		array(
            'id' => 'show_btn_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		array(
			'id'      => 'header_btn_title_v4',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v4', '=', true ),
		),
		array(
			'id'      => 'header_btn_link_v4',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v4', '=', true ),
		),
		
		/***********************************************************************
								Header Version 5 Start
		************************************************************************/
		array(
			'id'       => 'header_v5_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Five Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v5' ),
		),		
		
		/***********************************************************************
								Header Version 6 Start
		************************************************************************/
		array(
			'id'       => 'header_v6_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Six Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v6' ),
		),
		//Lets Connect Button
		array(
            'id' => 'show_btn_v6',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v6' ),
        ),
		array(
			'id'      => 'header_btn_title_v6',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v6', '=', true ),
		),
		array(
			'id'      => 'header_btn_link_v6',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v6', '=', true ),
		),
		
		/***********************************************************************
								Header Version 7 Start
		************************************************************************/
		array(
			'id'       => 'header_v7_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Seven Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v7' ),
		),		
		//Lets Connect Button
		array(
            'id' => 'show_btn_v7',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v7' ),
        ),
		array(
			'id'      => 'header_btn_title_v7',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v7', '=', true ),
		),
		array(
			'id'      => 'header_btn_link_v7',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v7', '=', true ),
		),
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v8_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Eight Settings', 'arkina' ),
			'required' => array( 'header_style_settings', '=', 'header_v8' ),
		),
		//Lets Connect Button
		array(
            'id' => 'show_btn_v8',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Lets Connect Button', 'arkina'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v8' ),
        ),
		array(
			'id'      => 'header_btn_title_v8',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Title', 'arkina' ),
			'required' => array( 'show_btn_v8', '=', true ),
		),
		array(
			'id'      => 'header_btn_link_v8',
			'type'    => 'text',
			'title'   => __( 'Lets Connect Button Link', 'arkina' ),
			'required' => array( 'show_btn_v8', '=', true ),
		),
						
		array(
			'id'       => 'header_style_section_end',
			'type'     => 'section',
			'indent'      => false,
			'required' => [ 'header_source_type', '=', 'd' ],
		),
	),
);
