<?php
return array(
	'title'      => esc_html__( 'Logo Setting', 'arkina' ),
	'id'         => 'logo_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'       => 'image_favicon',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Favicon', 'arkina' ),
			'subtitle' => esc_html__( 'Insert site favicon image', 'arkina' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/favicon.png' ),
		),
		//Dark Color Logo
		array(
            'id' => 'dark_logo_show2',
            'type' => 'switch',
            'title' => esc_html__('Enable Header Dark Color Logo Image', 'arkina'),
            'default' => true,
        ),
		array(
			'id'       => 'dark_color_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Header Dark Logo Image', 'arkina' ),
			'subtitle' => esc_html__( 'Insert site Header Dark Logo Image', 'arkina' ),
			'required' => array( 'dark_logo_show2', '=', true ),
		),
		array(
			'id'       => 'dark_color_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Header Dark Logo Image Dimentions', 'arkina' ),
			'subtitle' => esc_html__( 'Select Header Dark Logo Image Dimentions', 'arkina' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'dark_logo_show2', '=', true ),
		),	
		//Light Logo
		array(
            'id' => 'normal_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Header Light Color Logo', 'arkina'),
            'default' => true,
        ),
		array(
			'id'       => 'light_color_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Header Light Logo Image', 'arkina' ),
			'subtitle' => esc_html__( 'Insert site Header Light logo image', 'arkina' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
			'id'       => 'light_color_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Header Light Logo Dimentions', 'arkina' ),
			'subtitle' => esc_html__( 'Select Header Light Logo Dimentions', 'arkina' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		
		array(
			'id'       => 'logo_settings_section_end',
			'type'     => 'section',
			'indent'      => false,
		),
	),
);
