<?php

return array(
	'title'      => esc_html__( 'Single Post Settings', 'arkina' ),
	'id'         => 'single_post_setting',
	'desc'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => 'single_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Single Post Source Type', 'arkina' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'arkina' ),
				'e' => esc_html__( 'Elementor', 'arkina' ),
			),
			'default' => 'd',
		),
		
		array(
			'id'       => 'single_default_st',
			'type'     => 'section',
			'title'    => esc_html__( 'Post Default', 'arkina' ),
			'indent'   => true,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
		array(
			'id'      => 'single_post_date',
			'type'    => 'switch',
			'title'   => esc_html__( 'Hide Date', 'arkina' ),
			'desc'    => esc_html__( 'Enable to show post publish date on posts detail page', 'arkina' ),
			'default' => true,
		),
		array(
			'id'      => 'single_post_author',
			'type'    => 'switch',
			'title'   => esc_html__( 'Hide Author', 'arkina' ),
			'desc'    => esc_html__( 'Enable to show author on posts detail page', 'arkina' ),
			'default' => true,
		),
		array(
			'id'      => 'single_post_author_box',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Author Box', 'arkina' ),
			'desc'    => esc_html__( 'Enable to show author box on post detail page.', 'arkina' ),
			'default' => false,
		),
		array(
			'id'      => 'single_post_author_links',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Author Social Media', 'arkina' ),
			'desc'    => esc_html__( 'Enable to show author Social Media on posts detail page', 'arkina' ),
			'default' => false,
			'required' => [ 'single_post_author_box', '=', true ],
		),
		array(
			'id'    => 'single_post_author_social_share',
			'type'  => 'textarea',
			'title' => esc_html__( 'Author Social Profiles', 'arkina' ),
			'desc'    => esc_html__( 'show author Social Media on posts detail page', 'arkina' ),
			'required' => [ 'single_post_author_links', '=', true ],
		),
		
		array(
			'id'       => 'single_section_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
	),
);





