<?php
/**
 * Default Template Main File.
 *
 * @package ARKINA
 * @author  Theme Wisdom
 * @version 1.0
 */

get_header();
$data  = \ARKINA\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'right';
$sidebar = ( $sidebar ) ? $sidebar : 'default-sidebar';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-lg-12 col-sm-12 col-md-12' : 'col-lg-9 col-md-12 col-sm-12';
?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'arkina_banner', $data );?>
<?php else:?>
<!-- Page Title -->
<section class="page-title" style="background-image: url('<?php echo esc_url( $data->get( 'banner' ) ); ?>');">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <h1><?php echo wp_kses( $data->get( 'text' ), true ); ?></h1>
    </div>
</section>
<!-- End Page Title -->
<?php endif;?>

<!-- Blog One -->
<section class="blog-one">
    <div class="auto-container">
        <div class="row clearfix">	
        	
			<?php if( $data->get( 'layout' ) == 'left' ): ?>
			<!-- Right Column -->
            <div class="sidebar-side col-lg-3 col-md-12 col-sm-12">
                <aside class="sidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>    
                </aside>            
            </div>
			<?php endif; ?>
            
            <div class="content-side <?php echo esc_attr( $class ); ?> <?php if ( $data->get( 'layout' ) == 'left' ) echo 'left-sidebar'; elseif ( $data->get( 'layout' ) == 'right' ) echo 'right-sidebar'; ?>">
                <div class="row clearfix arkina-news">
                    <div class="thm-unit-test">
                            
                        <?php while ( have_posts() ): the_post(); ?>
                            <?php the_content(); ?>
                        <?php endwhile; ?>
                        
                        <div class="clearfix"></div>
                        <?php
                        $defaults = array(
                            'before' => '<div class="paginate-links">' . esc_html__( 'Pages:', 'arkina' ),
                            'after'  => '</div>',
        
                        );
                        wp_link_pages( $defaults );
                        ?>
                        <?php comments_template() ?>
                     
                     </div>
                     
                </div>
            </div>
			<?php if( $data->get( 'layout' ) == 'right' ): ?>
			<!-- Right Column -->
            <div class="sidebar-side col-lg-3 col-md-12 col-sm-12">
                <aside class="sidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>    
                </aside>            
            </div>
			<?php endif; ?>
        
        </div>
	</div>
</section><!-- blog section with pagination -->
<?php get_footer(); ?>
