<?php
/**
 * Tag Main File.
 *
 * @package ARKINA
 * @author  Theme Wisdom
 * @version 1.0
 */

get_header();
global $wp_query;
$data  = \ARKINA\Includes\Classes\Common::instance()->data( 'search' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'right';
$sidebar = ( $sidebar ) ? $sidebar : 'default-sidebar';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-lg-12 col-sm-12 col-md-12' : 'col-lg-9 col-md-12 col-sm-12';
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>
	
<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'arkina_banner', $data );?>
<?php else:?>
<!-- Page Title -->
<section class="page-title" style="background-image: url('<?php echo esc_url( $data->get( 'banner' ) ); ?>');">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <h1><?php echo wp_kses( $data->get( 'text' ), true ); ?></h1>
    </div>
</section>
<!-- End Page Title -->
<?php endif;?>
    
<!-- Blog One -->
<section class="blog-one">
    <div class="auto-container">
        <div class="row clearfix">
            
			<?php if( $data->get( 'layout' ) == 'left' ): ?>
			<!-- Right Column -->
            <div class="sidebar-side col-lg-3 col-md-12 col-sm-12">
                <aside class="sidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>    
                </aside>            
            </div>
			<?php endif; ?>
            
            <div class="content-side <?php echo esc_attr( $class ); ?> <?php if ( $data->get( 'layout' ) == 'left' ) echo 'left-sidebar'; elseif ( $data->get( 'layout' ) == 'right' ) echo 'right-sidebar'; ?>">
                <div class="row clearfix arkina-news">
                    <?php if( have_posts() ) : ?>
                    <div class="thm-unit-test">
                        <?php
                            while ( have_posts() ) :
                                the_post();
                                arkina_template_load( 'templates/blog/blog.php', compact( 'data' ) );
                            endwhile;
                            wp_reset_postdata();
                        ?>
                    </div>
                
                    <!--Pagination-->
                    <div class="pagination-outer clearfix">
                        <?php arkina_the_pagination( $wp_query->max_num_pages );?>
                     </div>
                    
                    <?php else : ?>
                    <div class="blog-sidebar sidebar">
                        <p class="mb-4"><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'arkina' ); ?></p>
                        <?php get_search_form() ?>
                    </div>
                    <?php endif; ?>                       
                    
                </div>
            </div>
			<?php if( $data->get( 'layout' ) == 'right' ): ?>
			<!-- Right Column -->
            <div class="sidebar-side col-lg-3 col-md-12 col-sm-12">
                <aside class="sidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>    
                </aside>            
            </div>
			<?php endif; ?>
            
        </div>
    </div>
</section>
<!--End blog area--> 
<?php
}
get_footer();

