<?php get_header();
    $data    = \ARKINA\Includes\Classes\Common::instance()->data('single-project')->get();
?>

<?php 
	while (have_posts()) : the_post(); 
	$term_list = wp_get_post_terms(get_the_id(), 'project_cat', array("fields" => "names"));
?>
<!--
=====================================================
     Project Details
=====================================================
-->
<?php if(get_post_meta( get_the_id(), 'project_style', true ) == '7' ): ?>

<!-- Portfolio Detail -->
<section class="portfolio-detail_three">
    <div class="outer-container">
        <figure class="cd-image-container">
            <?php the_content(); ?>
            <span class="cd-handle"></span>
        </figure>
    </div>
</section>
<!-- End Portfolio Detail Three -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php elseif(get_post_meta( get_the_id(), 'project_style', true ) == '6' ): ?>

<!-- Portfolio Four -->
<section class="portfolio-four">
    <div class="outer-container">
        <!-- Parallax One -->
        <?php $project_image = get_post_meta( get_the_id(), 'feature_image', true ); ?>
        <div class="parallax-one" style="background-image: url('<?php echo wp_get_attachment_url($project_image['id']);?>')">
            <div class="content">
                <div class="title"><?php echo implode( ', ', (array)$term_list );?></div>
                <h2><?php the_title(); ?></h2>
            </div>
        </div>
		
        <?php $project_image2 = get_post_meta( get_the_id(), 'feature_image2', true ); ?>
        <div class="parallax-two" style="background-image: url('<?php echo wp_get_attachment_url($project_image2['id']);?>')">
            <?php
				$icons = get_post_meta(get_the_id(), 'info_tabs', true); if ($icons) : 
			?>
			<div class="content">
                <div class="portfolio-info_box">
                    <ul class="portfolio-info_list">
                        <?php 
                            for ( $i=0; $i < count( $icons['info_title'] ); $i++ ) {
                            $info_title = ( isset( $icons['info_title'][$i] ) && !empty( $icons['info_title'][$i] ) ) ? $icons['info_title'][$i] : '';
                            $info_text = ( isset( $icons['info_text'][$i] ) && !empty( $icons['info_text'][$i] ) ) ? $icons['info_text'][$i] : '';
                        ?>
                        <li><span><?php echo esc_attr($info_title); ?></span> <?php echo esc_attr($info_text); ?></li>
                        <?php } ?>
                    </ul>
                </div>
            </div>
			<?php endif; ?>
        </div>

        <?php $project_image3 = get_post_meta( get_the_id(), 'feature_image3', true ); ?>
        <div class="parallax-three" style="background-image: url('<?php echo wp_get_attachment_url($project_image3['id']);?>')">
            <div class="content">
                <div class="text"><?php echo (get_post_meta( get_the_id(), 'top_description', true ));?></div>
            </div>
        </div>

        <?php $project_image4 = get_post_meta( get_the_id(), 'feature_image4', true ); ?>
        <div class="parallax-four" style="background-image: url('<?php echo wp_get_attachment_url($project_image4['id']);?>')"></div>
    </div>
</section>
<!-- End Portfolio Four -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php elseif(get_post_meta( get_the_id(), 'project_style', true ) == '5' ): ?>

<!-- Portfolio Detail -->
<section class="portfolio-detail_two style-two">
    <div class="auto-container">
        <div class="row clearfix">
            <!-- Gallery Column -->
            <div class="gallery-column col-lg-6 col-md-12 col-sm-12">
                <div class="row clearfix">
                    <!-- Image -->
                    <div class="column col-lg-6 col-md-6 col-sm-6">
                        <div class="image">
                            <?php $project_image = get_post_meta( get_the_id(), 'feature_image', true ); ?>
                            <img src="<?php echo wp_get_attachment_url($project_image['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                        </div>
                    </div>
                    <!-- Image -->
                    <div class="column col-lg-6 col-md-6 col-sm-6">
                        <div class="image">
                            <?php $project_image2 = get_post_meta( get_the_id(), 'feature_image2', true ); ?>
                            <img src="<?php echo wp_get_attachment_url($project_image2['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                        </div>
                    </div>
                    <!-- Image -->
                    <div class="column col-lg-6 col-md-6 col-sm-6">
                        <div class="image">
                            <?php $project_image3 = get_post_meta( get_the_id(), 'feature_image3', true ); ?>
                            <img src="<?php echo wp_get_attachment_url($project_image3['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                        </div>
                    </div>
                    <!-- Image -->
                    <div class="column col-lg-6 col-md-6 col-sm-6">
                        <div class="image">
                            <?php $project_image4 = get_post_meta( get_the_id(), 'feature_image4', true ); ?>
                    		<img src="<?php echo wp_get_attachment_url($project_image4['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                        </div>
                    </div>
                </div>
            </div>

            <!-- Column -->
            <div class="content-column col-lg-6 col-md-12 col-sm-12">
                <?php
					$icons = get_post_meta(get_the_id(), 'info_tabs', true); if ($icons) : 
				?>
                <div class="portfolio-info_box">
                    <ul class="portfolio-info_list">
                        <?php 
							for ( $i=0; $i < count( $icons['info_title'] ); $i++ ) {
							$info_title = ( isset( $icons['info_title'][$i] ) && !empty( $icons['info_title'][$i] ) ) ? $icons['info_title'][$i] : '';
							$info_text = ( isset( $icons['info_text'][$i] ) && !empty( $icons['info_text'][$i] ) ) ? $icons['info_text'][$i] : '';
						?>
						<li><span><?php echo esc_attr($info_title); ?></span> <?php echo esc_attr($info_text); ?></li>
						<?php } ?>
                    </ul>
                </div>
                <?php endif; ?>
                <h3><?php the_title(); ?></h3>
                <?php the_content(); ?>
            </div>
        </div>        
    </div>
</section>
<!-- End Portfolio Detail -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php elseif(get_post_meta( get_the_id(), 'project_style', true ) == '4' ): ?>

<!-- Portfolio Detail -->
<section class="portfolio-detail_one style-two">
    <div class="auto-container">
        <div class="row clearfix">
            <?php the_content(); ?>
        </div>
        <div class="middle-box">
            <div class="row clearfix">
                <?php
					$icons = get_post_meta(get_the_id(), 'info_tabs', true); if ($icons) : 
				?>
                <!-- Column -->
                <div class="column col-lg-6 col-md-12 col-sm-12">
                    <div class="portfolio-info_box">
                        <ul class="portfolio-info_list">
                            <?php 
								for ( $i=0; $i < count( $icons['info_title'] ); $i++ ) {
								$info_title = ( isset( $icons['info_title'][$i] ) && !empty( $icons['info_title'][$i] ) ) ? $icons['info_title'][$i] : '';
								$info_text = ( isset( $icons['info_text'][$i] ) && !empty( $icons['info_text'][$i] ) ) ? $icons['info_text'][$i] : '';
							?>
							<li><span><?php echo esc_attr($info_title); ?></span> <?php echo esc_attr($info_text); ?></li>
							<?php } ?>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>
                <!-- Column -->
                <div class="column col-lg-6 col-md-12 col-sm-12">
                    <h3><?php the_title(); ?></h3>
                    <p><?php echo (get_post_meta( get_the_id(), 'top_description', true ));?></p>
                </div>
            </div>
        </div>

    </div>
</section>
<!-- End Portfolio Detail -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php elseif(get_post_meta( get_the_id(), 'project_style', true ) == '3' ): ?>

<!-- Portfolio Detail -->
<section class="portfolio-detail_two">
    <div class="auto-container">
        <div class="row clearfix">
            <!-- Gallery Column -->
            <div class="gallery-column col-lg-6 col-md-12 col-sm-12">
                <!-- Image -->
                <div class="image">
                    <?php $project_image = get_post_meta( get_the_id(), 'feature_image', true ); ?>
                    <img src="<?php echo wp_get_attachment_url($project_image['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                </div>
                <!-- Image -->
                <div class="image">
                    <?php $project_image2 = get_post_meta( get_the_id(), 'feature_image2', true ); ?>
                    <img src="<?php echo wp_get_attachment_url($project_image2['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                </div>
                <!-- Image -->
                <div class="image">
                    <?php $project_image3 = get_post_meta( get_the_id(), 'feature_image3', true ); ?>
                    <img src="<?php echo wp_get_attachment_url($project_image3['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                </div>
                <!-- Image -->
                <div class="image">
                    <?php $project_image4 = get_post_meta( get_the_id(), 'feature_image4', true ); ?>
                    <img src="<?php echo wp_get_attachment_url($project_image4['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
                </div>
            </div>

            <!-- Column -->
            <div class="content-column col-lg-6 col-md-12 col-sm-12">
                <?php
					$icons = get_post_meta(get_the_id(), 'info_tabs', true); if ($icons) : 
				?>
                <div class="portfolio-info_box">
                    <ul class="portfolio-info_list">
                        <?php 
							for ( $i=0; $i < count( $icons['info_title'] ); $i++ ) {
							$info_title = ( isset( $icons['info_title'][$i] ) && !empty( $icons['info_title'][$i] ) ) ? $icons['info_title'][$i] : '';
							$info_text = ( isset( $icons['info_text'][$i] ) && !empty( $icons['info_text'][$i] ) ) ? $icons['info_text'][$i] : '';
						?>
						<li><span><?php echo esc_attr($info_title); ?></span> <?php echo esc_attr($info_text); ?></li>
						<?php } ?>
                    </ul>
                </div>
                <?php endif; ?>
                <h3><?php the_title(); ?></h3>
                <?php the_content(); ?>
            </div>

        </div>
        
    </div>
</section>
<!-- End Portfolio Detail -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php elseif(get_post_meta( get_the_id(), 'project_style', true ) == '2' ): ?>

<!-- Portfolio Detail -->
<section class="portfolio-detail_one">
    <div class="image">
        <?php $project_image = get_post_meta( get_the_id(), 'feature_image', true ); ?>
        <img src="<?php echo wp_get_attachment_url($project_image['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
    </div>
    <div class="auto-container">
        <div class="middle-box">
            <div class="row clearfix">
                <?php
					$icons = get_post_meta(get_the_id(), 'info_tabs', true); if ($icons) : 
				?>
                <!-- Column -->
                <div class="column col-lg-6 col-md-12 col-sm-12">
                    <div class="portfolio-info_box">
                        <ul class="portfolio-info_list">
                            <?php 
								for ( $i=0; $i < count( $icons['info_title'] ); $i++ ) {
								$info_title = ( isset( $icons['info_title'][$i] ) && !empty( $icons['info_title'][$i] ) ) ? $icons['info_title'][$i] : '';
								$info_text = ( isset( $icons['info_text'][$i] ) && !empty( $icons['info_text'][$i] ) ) ? $icons['info_text'][$i] : '';
							?>
                            <li><span><?php echo esc_attr($info_title); ?></span> <?php echo esc_attr($info_text); ?></li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>
                <!-- Column -->
                <div class="column col-lg-6 col-md-12 col-sm-12">
                    <h3><?php the_title(); ?></h3>
                    <p><?php echo (get_post_meta( get_the_id(), 'top_description', true ));?></p>
                </div>
            </div>
        </div>
		<?php the_content(); ?>
    </div>
</section>
<!-- End Portfolio Detail -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php else: ?>

<!-- Portfolio Detail -->
<section class="portfolio-detail_one">
    <div class="auto-container">
        <div class="image">
            <?php $project_image = get_post_meta( get_the_id(), 'feature_image', true ); ?>
            <img src="<?php echo wp_get_attachment_url($project_image['id']);?>" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>" />
        </div>
        <div class="middle-box">
            <div class="row clearfix">
                <?php
					$icons = get_post_meta(get_the_id(), 'info_tabs', true); if ($icons) : 
				?>
				<!-- Column -->
                <div class="column col-lg-6 col-md-12 col-sm-12">
                    <div class="portfolio-info_box">
						<ul class="portfolio-info_list">
							<?php 
								for ( $i=0; $i < count( $icons['info_title'] ); $i++ ) {
								$info_title = ( isset( $icons['info_title'][$i] ) && !empty( $icons['info_title'][$i] ) ) ? $icons['info_title'][$i] : '';
								$info_text = ( isset( $icons['info_text'][$i] ) && !empty( $icons['info_text'][$i] ) ) ? $icons['info_text'][$i] : '';
							?>
							<li><span><?php echo esc_attr($info_title); ?></span> <?php echo esc_attr($info_text); ?></li>
							<?php } ?>
						</ul>
					</div>
				</div>
				<?php endif; ?>
                <!-- Column -->
                <div class="column col-lg-6 col-md-12 col-sm-12">
                    <h3><?php the_title(); ?></h3>
                    <p><?php echo (get_post_meta( get_the_id(), 'top_description', true ));?></p>
                </div>
            </div>
        </div>
		<?php the_content(); ?>
    </div>
</section>
<!-- End Portfolio Detail -->

<!--Subscribe Section-->
<section class="subscribe-section">
    <div class="bg-layer" style="background-image: url(<?php echo esc_url(get_template_directory_uri());?>/assets/images/background/pattern-2.jpg);"></div>
    <div class="auto-container">
        <div class="content-box">
            <div class="row clearfix">
                <div class="text-col col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <h2><?php echo (get_post_meta( get_the_id(), 'form_title', true ));?></h2>
                        <div class="text"><?php echo (get_post_meta( get_the_id(), 'newsletter_form_text', true ));?></div>
                    </div>
                </div>
                <div class="form-col col-xl-4 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner">
                        <div class="form-box subscribe-form">
                            <?php echo do_shortcode(get_post_meta( get_the_id(), 'form_url', true ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<?php endif; ?>
<?php endwhile; ?>
<?php get_footer(); ?>