<?php get_header();
$data = \ARKINA\Includes\Classes\Common::instance()->data('single-team')->get(); 

?>
<!-- Page Title -->
<section class="page-title" style="background-image: url('<?php echo esc_url( $data->get( 'banner' ) ); ?>');">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <h1><?php echo wp_kses( $data->get( 'text' ), true ); ?></h1>
    </div>
</section>
<!-- End Page Title -->

<?php while (have_posts()) : the_post(); ?>

<!--
=====================================================
    Team Details
=====================================================
-->
<!-- team-details -->
<section class="team-details">
    <div class="auto-container">
        <div class="row clearfix">
            <div class="col-lg-6 col-md-12 col-sm-12 image-column">
                <?php if(has_post_thumbnail()):?>
                <div class="image-box">
                    <figure class="image image-1"><?php the_post_thumbnail('arkina_370x505'); ?></figure>
                </div>
                <?php endif; ?>
            </div>
            <div class="col-lg-6 col-md-12 col-sm-12 content-column">
                <div class="content-box">
                    <h2><span><?php esc_html_e('Hi, I am', 'arkina');?></span> <?php the_title(); ?></h2>
                    <span class="designation special-font"><?php echo (get_post_meta( get_the_id(), 'designation', true ));?></span>
                    <div class="text">
                        <?php the_content();?>                        
                    </div>
                    <div class="contact-inner">
                        <h3><?php esc_html_e('Contact me', 'arkina');?></h3>
                        <h6><a href="mailto:<?php echo (get_post_meta( get_the_id(), 'team_email', true ));?>"><?php echo (get_post_meta( get_the_id(), 'team_email', true ));?></a></h6>
                       	<div class="social-links">
                            <ul class="clearfix">
                                <?php if(get_post_meta( get_the_id(), 'linkedin_link', true )){ ?>
                                <li><a href="<?php echo esc_url(get_post_meta( get_the_id(), 'linkedin_link', true ));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/linkedin.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>"></i></a></li>
                                <?php } ?>
                                <?php if(get_post_meta( get_the_id(), 'twitter_link', true )){ ?>
                                <li><a href="<?php echo esc_url(get_post_meta( get_the_id(), 'twitter_link', true ));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/twitter.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>"></i></a></li>
                                <?php } ?>
                                <?php if(get_post_meta( get_the_id(), 'facebook_link', true )){ ?>
                                <li><a href="<?php echo esc_url(get_post_meta( get_the_id(), 'facebook_link', true ));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/facebook.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>"></i></a></li>
                                <?php } ?>
                                <?php if(get_post_meta( get_the_id(), 'instagram_link', true )){ ?>
                                <li><a href="<?php echo esc_url(get_post_meta( get_the_id(), 'instagram_link', true ));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/instagram.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina'); ?>"></i></a></li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- team-details end -->

<?php endwhile; ?>

<?php get_footer(); ?>