<?php
/**
 * Blog Post Main File.
 *
 * @package ARKINA
 * @author  Theme Wisdom
 * @version 1.0
 */

get_header();
$options = arkina_WSH()->option();

$data    = \ARKINA\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-lg-12 col-sm-12 col-md-12' : 'col-lg-9 col-md-12 col-sm-12';

if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
?>
<!-- Page Title -->
<section class="page-title" style="background-image: url('<?php echo esc_url( $data->get( 'banner' ) ); ?>');">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <h1><?php echo wp_kses( $data->get( 'text' ), true ); ?></h1>
    </div>
</section>
<!-- End Page Title -->

<?php while ( have_posts() ) : the_post(); ?>

<!-- Blog One -->
<section class="blog-one">
    <div class="auto-container">
        <div class="inner-container">  	
        	
            <?php if(has_post_thumbnail()){ ?>
            <!-- News Block One -->
            <div class="news-block_one">
                <div class="inner-box">
                    <div class="image">
                        <?php the_post_thumbnail('full'); ?>
                    </div>
                    <?php if( $options->get( 'single_post_date' ) || has_category() ){ ?>
                    <div class="content">
                        <div class="title"><?php if( $options->get( 'single_post_date' ) ){ ?><?php echo get_the_date( ); ?><?php } ?> <?php if( has_category() ){ ?>/ <?php the_category(' '); ?><?php } ?></div>
                    </div>
                    <?php } ?>
                </div>
            </div>          
            <?php } ?>
            <!-- Sidebar Page Container -->
            <div class="sidebar-page-container">
                <div class="row clearfix">
            		<?php if( $data->get( 'layout' ) == 'left' ): ?>
                    <!-- Right Column -->
                    <div class="sidebar-side col-lg-3 col-md-12 col-sm-12">
                        <aside class="sidebar">
                            <?php dynamic_sidebar( $sidebar ); ?>    
                        </aside>            
                    </div>
                    <?php endif; ?>
                    
            		<div class="content-side <?php echo esc_attr( $class ); ?> <?php if ( $data->get( 'layout' ) == 'left' ) echo 'left-sidebar'; elseif ( $data->get( 'layout' ) == 'right' ) echo 'right-sidebar'; ?>">				                               	
                		<div class="thm-unit-test"> 
                			<div class="blog-detail">
                            	<div class="inner-box">
                                	
                                    <div class="text-holder text"><?php the_content(); ?></div>
                                    <div class="clearfix"></div>
                                    <?php wp_link_pages(array('before'=>'<div class="paginate-links m-t30">'.esc_html__('Pages: ', 'arkina'), 'after' => '</div>', 'link_before'=>'<span>', 'link_after'=>'</span>')); ?>
                    				
									<?php if(has_tag()):?>
                                    <div class="post-meta">
                                        <?php the_tags( '', ' ', '' ); ?>
                                    </div>
                    				<?php endif;?>
                                    <?php if( $options->get( 'single_post_author_box' ) ):?>
                                    <!-- Author Box -->
                                    <div class="blog-author-box">
                                        <div class="author-inner">
                                            <?php if($avatar = get_avatar(get_the_author_meta('ID')) !== FALSE): ?>
                                            <div class="thumb"><?php echo get_avatar(get_the_author_meta('ID'), 156); ?></div>
                                            <?php endif; ?>
                                            <div class="name"><?php esc_html_e('About', 'arkina');?> <?php the_author(); ?></div>
                                            <div class="text"><?php the_author_meta( 'description', get_the_author_meta('ID') ); ?></div>
                                            <?php if( $options->get( 'single_post_author_links' ) ):?>
                                            <ul class="social-box">
                                                <?php echo wp_kses( $options->get( 'single_post_author_social_share'), true ); ?>
                                            </ul>
                                            <?php endif;?>
                                        </div>
                                    </div>
                                    <?php endif;?>
                                    <?php if((get_previous_post()) || (get_next_post())): ?>
                                    <!-- Blog More Posts -->
                                    <div class="blog-more-posts">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <?php global $post; $prev_post = get_previous_post();
												if (!empty($prev_post)):
											?>
                                            <a href="<?php echo esc_url(get_the_permalink($prev_post->ID)); ?>"><span class="fa-solid fa-arrow-left fa-fw"></span> &nbsp; <?php esc_html_e('Previous Project', 'arkina'); ?></a>
                                            <?php endif ?>
											<?php global $post; $next_post = get_next_post();
                                                if (!empty($next_post)):
                                            ?>
                                            <a href="<?php echo esc_url(get_the_permalink($next_post->ID)); ?>"><?php esc_html_e('next Project', 'arkina'); ?> &nbsp; <span class="fa-solid fa-arrow-right fa-fw"></span></a>
                                            <?php endif ?>
                                        </div>
                                    </div>
									<?php endif;?>
                                    
                                    <!--End post-details-->
                        			<?php comments_template(); ?>
                    			</div>
                   			</div>    
                   		</div>
                   </div>
                   
                   	<?php if( $data->get( 'layout' ) == 'right' ): ?>
                    <!-- Right Column -->
                    <div class="sidebar-side col-lg-3 col-md-12 col-sm-12">
                        <aside class="sidebar">
                            <?php dynamic_sidebar( $sidebar ); ?>    
                        </aside>            
                    </div>
                    <?php endif; ?>
                </div>				
            </div>
        	
        </div>
    </div>
</section>
<!--End blog area--> 
<?php endwhile; ?>

<?php
}
get_footer();
