<?php
/**
 * Footer Template  File
 *
 * @package ARKINA
 * @author  Theme Wisdom
 * @version 1.0
 */

$options = arkina_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

?>

    <!--Main Footer-->
    <footer class="main-footer">
        <div class="upper-section">
            <div class="auto-container">
                <div class="content-box">
                    <div class="row clearfix">
                        <?php if($options->get( 'footer_contact_title' ) || $options->get( 'footer_phone_no' ) || $options->get( 'footer_email_address' ) || $options->get( 'footer_working_title' ) || $options->get( 'footer_working_time' ) || $options->get( 'footer_working_off' ) || $options->get( 'footer_social_link' ) || $options->get( 'footer_social_link2' ) || $options->get( 'footer_social_link3' ) || $options->get( 'footer_social_link4' )){ ?>
                        <div class="big-col info-col col-xl-6 col-lg-6 col-md-12 col-sm-12">    
                            <div class="row clearfix">
                                <?php if($options->get( 'footer_contact_title' ) || $options->get( 'footer_phone_no' ) || $options->get( 'footer_email_address' )){ ?>
                                <div class="footer-column col-lg-5 col-md-6 col-sm-12">
                                    <div class="footer-widget links-widget">
                                        <?php if($options->get( 'footer_contact_title' )){?><h5><?php echo wp_kses( $options->get( 'footer_contact_title'), true ); ?></h5><?php } ?>
                                        <?php if($options->get( 'footer_phone_no' ) || $options->get( 'footer_email_address' )){ ?>
                                        <div class="info">
                                            <ul>
                                                <?php if($options->get( 'footer_phone_no' )){?><li class="phone"><a href="tel:<?php echo esc_attr($options->get( 'footer_phone_no'));?>"><?php esc_html_e('T:', 'arkina');?> <?php echo wp_kses( $options->get( 'footer_phone_no'), true ); ?></a></li><?php } ?>
                                                <?php if($options->get( 'footer_email_address' )){?><li class="email"><a href="mailto:<?php echo esc_attr($options->get( 'footer_email_address'));?>"><?php esc_html_e('E:', 'arkina');?> <?php echo wp_kses( $options->get( 'footer_email_address'), true ); ?></a></li><?php } ?>
                                            </ul>
                                        </div>
                                        <?php } ?>
                                    </div>
                                </div>
                                <?php } ?>
                                <?php if($options->get( 'footer_working_title' ) || $options->get( 'footer_working_time' ) || $options->get( 'footer_working_off' )){ ?>
                                <div class="footer-column col-lg-7 col-md-6 col-sm-12">
                                    <div class="footer-widget links-widget">
                                        <?php if($options->get( 'footer_working_title' )){?><h5><?php echo wp_kses( $options->get( 'footer_working_title'), true ); ?></h5><?php } ?>
                                        <?php if($options->get( 'footer_working_time' ) || $options->get( 'footer_working_off' )){?>
                                        <div class="info">
                                            <ul>
                                                <?php if($options->get( 'footer_working_time' )){?><li><?php echo wp_kses( $options->get( 'footer_working_time'), true ); ?></li><?php } ?>
                                                <?php if($options->get( 'footer_working_off' )){?><li><?php echo wp_kses( $options->get( 'footer_working_off'), true ); ?></li><?php } ?>
                                            </ul>
                                        </div>
                                        <?php } ?>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                            <?php if($options->get( 'footer_social_link' ) || $options->get( 'footer_social_link2' ) || $options->get( 'footer_social_link3' ) || $options->get( 'footer_social_link4' )){?>
                            <div class="social-links">
                                <ul class="clearfix">
                                    <?php if($options->get( 'footer_social_link' )){?><li><a href="<?php echo esc_url($options->get( 'footer_social_link'));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/linkedin.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina');?>"></i></a></li><?php } ?>
                                    <?php if($options->get( 'footer_social_link2' )){?><li><a href="<?php echo esc_url($options->get( 'footer_social_link2'));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/twitter.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina');?>"></i></a></li><?php } ?>
                                    <?php if($options->get( 'footer_social_link3' )){?><li><a href="<?php echo esc_url($options->get( 'footer_social_link3'));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/facebook.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina');?>"></i></a></li><?php } ?>
                                    <?php if($options->get( 'footer_social_link4' )){?><li><a href="<?php echo esc_url($options->get( 'footer_social_link4'));?>"><i class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/resource/instagram.svg" alt="<?php esc_attr_e('Awesome Image', 'arkina');?>"></i></a></li><?php } ?>
                                </ul>
                            </div>
                            <?php } ?>
                        </div>
                        <?php } ?>
                        <?php if ( is_active_sidebar( 'footer-sidebar' ) ) { ?>
                        <div class="big-col col-xl-6 col-lg-6 col-md-12 col-sm-12">    
                            <div class="row clearfix">
                                <?php dynamic_sidebar( 'footer-sidebar' ); ?>
                            </div>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <?php if($options->get( 'footer_v1_copyright_text' )){?>
        <div class="f-bottom">
            <div class="auto-container">
                <div class="inner clearfix">
                    <div class="copyright"><?php echo wp_kses( $options->get( 'footer_v1_copyright_text'), true ); ?></div>
                </div>
            </div>
        </div>
        <?php } ?>
    </footer>

</div>
<!--End Page Wrapper-->
