<?php
$options = arkina_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Light Color Logo Settings
$light_color_logo = $options->get( 'light_color_logo' );
$light_color_logo_dimension = $options->get( 'light_color_logo_dimension' );

//Dark Color Logo Settings
$dark_color_logo = $options->get( 'dark_color_logo' );
$dark_color_logo_dimension = $options->get( 'dark_color_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

<div class="page-wrapper"> 
	
	<?php if( $options->get( 'theme_preloader' ) ):?>
    <!-- Preloader -->
    <div class="preloader"></div>
    <?php endif; ?>
    
    <!-- Main Header-->
    <header class="main-header dark-mode">
        <!-- Header Upper -->
        <div class="header-upper">        
            <div class="auto-container">
                <!-- Main Box -->
                <div class="main-box clearfix">
                    <!--Logo-->
                    <div class="logo-box">
                         <div class="logo"><?php echo arkina_logo( $logo_type, $light_color_logo, $light_color_logo_dimension, $logo_text, $logo_typography ); ?></div>
                    </div>

                    <div class="nav-box clearfix">
                        <!--Nav Outer-->
                        <div class="nav-outer clearfix">         
                            <nav class="main-menu">
                                <ul class="navigation clearfix">
									<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
										'container_class'=>'navbar-collapse collapse navbar-right',
										'menu_class'=>'nav navbar-nav',
										'fallback_cb'=>false,
										'items_wrap' => '%3$s',
										'container'=>false,
										'depth'=>'3',
										'walker'=> new Bootstrap_walker()
									) ); ?>
                                </ul>
                            </nav>
                            <!-- Main Menu End-->
                        </div>
                        <!--Nav Outer End-->
						<?php if($options->get( 'header_btn_title_v4' )){?>
                        <div class="links-box clearfix">
                            <div class="link contact-link">
                                <a href="<?php echo esc_url($options->get( 'header_btn_link_v4'));?>" class="theme-btn contact-btn"><span class="btn-box"><span class="btn-txt"><?php echo wp_kses( $options->get( 'header_btn_title_v4'), true ); ?></span><i class="btn-arrow fal fa-arrow-right"></i></span></a>
                            </div>
                        </div>
						<?php } ?>
                        <!-- Hidden Nav Toggler -->
                        <div class="nav-toggler">
                            <button class="hidden-bar-opener"><span class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/icons/menu-icon.png" alt="<?php esc_attr_e('Awesome Image', 'arkina');?>"></span></button>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </header>
    <!--End Main Header -->

    <!--Search Backdrop-->
    <div class="search-backdrop"></div>

    
    <!--Menu Backdrop-->
    <div class="menu-backdrop"></div>
	
    <?php get_template_part('templates/header/sidebar_settings'); ?>    