<?php
$options = arkina_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Light Color Logo Settings
$light_color_logo = $options->get( 'light_color_logo' );
$light_color_logo_dimension = $options->get( 'light_color_logo_dimension' );

//Dark Color Logo Settings
$dark_color_logo = $options->get( 'dark_color_logo' );
$dark_color_logo_dimension = $options->get( 'dark_color_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

<div class="minimal-menu-body">
    <div class="m-page-container">
      <div class="page-wrapper"> 
      
            <?php if( $options->get( 'theme_preloader' ) ):?>
            <!-- Preloader -->
            <div class="preloader"></div>
            <?php endif; ?>

            <!-- Main Header-->
            <header class="main-header simple-header">
                <!-- Header Upper -->
                <div class="simple-outer">        
                    <div class="auto-container">
                        <div class="d-flex justify-content-between">
                            <!--Logo-->
                            <div class="logo-box">
                                 <div class="logo"><?php echo arkina_logo( $logo_type, $dark_color_logo, $dark_color_logo_dimension, $logo_text, $logo_typography ); ?></div>
                            </div>
                            <div class="nav-toggler">
                                <button class="hidden-bar-opener"><span class="icon"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/icons/menu-icon.png" alt="<?php esc_attr_e('Awesome Image', 'arkina');?>"></span></button>
                            </div>
                        </div>
                    </div>
                </div>
            </header>
            <!--End Main Header -->

             <!-- Hidden Navigation Bar -->
            <section class="hidden-bar">
                <!-- Hidden Bar Wrapper -->
                <div class="hidden-bar-wrapper">
                    <div class="hidden-bar-closer"><span class="icon"><svg class="icon-close" role="presentation" viewBox="0 0 16 14"><path d="M15 0L1 14m14 0L1 0" stroke="currentColor" fill="none" fill-rule="evenodd"></path></svg></span></div>
                    <div class="nav-logo-box">
                        <div class="logo"><?php echo arkina_logo( $logo_type, $dark_color_logo, $dark_color_logo_dimension, $logo_text, $logo_typography ); ?></div>
                    </div>
                    <!-- .Side-menu -->
                    <div class="side-menu">
                        <ul class="navigation clearfix">
                            <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
								'container_class'=>'navbar-collapse collapse navbar-right',
								'menu_class'=>'nav navbar-nav',
								'fallback_cb'=>false,
								'items_wrap' => '%3$s',
								'container'=>false,
								'depth'=>'3',
								'walker'=> new Bootstrap_walker()
							) ); ?>
                        </ul>
                    </div><!-- /.Side-menu -->
                    <?php if($options->get( 'header_btn_title2' ) || $options->get( 'header_btn_title3' )){?>
                    <div class="links-box clearfix">
                        <div class="clearfix">
                            <?php if($options->get( 'header_btn_title2' )){?>
                            <div class="link"><a href="<?php echo esc_url($options->get( 'header_btn_link2'));?>" class="theme-btn btn-style-one"><span class="btn-box"><span class="btn-txt"><?php echo wp_kses( $options->get( 'header_btn_title2'), true ); ?></span></span></a></div>
                            <?php } ?>
                            <?php if($options->get( 'header_btn_title3' )){?>
                            <div class="link"><a href="<?php echo esc_url($options->get( 'header_btn_link3'));?>" class="theme-btn btn-style-one"><span class="btn-box"><span class="btn-txt"><?php echo wp_kses( $options->get( 'header_btn_title3'), true ); ?></span></span></a></div>
                            <?php } ?>
                        </div>
                    </div>
                    <?php } ?>                
                </div><!-- / Hidden Bar Wrapper -->
            </section>
            <!-- / Hidden Bar -->

            <!-- Hidden Navigation Bar -->
            <section class="minimal-navbar">
                <!-- Hidden Bar Wrapper -->
                <div class="minimal-navbar-wrapper">
                    <div class="minimal-navbar-closer"><span class="icon"><svg class="icon-close" role="presentation" viewBox="0 0 16 14"><path d="M15 0L1 14m14 0L1 0" stroke="currentColor" fill="none" fill-rule="evenodd"></path></svg></span></div>
                    <div class="nav-logo-box">
                        <div class="logo"><?php echo arkina_logo( $logo_type, $dark_color_logo, $dark_color_logo_dimension, $logo_text, $logo_typography ); ?></div>
                    </div>
                    <!-- .Side-menu -->
                    <div class="minimal-navbar-menu">
                         <ul class="navigation clearfix">
                            <?php wp_nav_menu( array( 'theme_location' => 'sidebar_menu', 'container_id' => 'navbar-collapse-1',
								'container_class'=>'navbar-collapse collapse navbar-right',
								'menu_class'=>'nav navbar-nav',
								'fallback_cb'=>false,
								'items_wrap' => '%3$s',
								'container'=>false,
								'depth'=>'3',
								'walker'=> new Bootstrap_walker()
							) ); ?>
                        </ul>
                    </div>
                    <?php if($options->get( 'header_btn_title_v7' )){?>
                    <div class="links-box">
                        <div class="contact-link">
                            <a href="<?php echo esc_url($options->get( 'header_btn_link_v7'));?>" class="theme-btn btn-style-one"><span class="btn-box"><span class="btn-txt"><?php echo wp_kses( $options->get( 'header_btn_title_v7'), true ); ?></span><i class="btn-arrow fal fa-arrow-right"></i></span></a>
                        </div>
                    </div>
                	<?php } ?>
                </div><!-- / Nav Bar Wrapper -->
            </section>
            <!-- / Minimal Nav Bar -->
 