<?php
$options = arkina_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Dark Color Logo Settings
$dark_color_logo = $options->get( 'dark_color_logo' );
$dark_color_logo_dimension = $options->get( 'dark_color_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>    

<!-- Hidden Navigation Bar -->
<section class="hidden-bar">
    <!-- Hidden Bar Wrapper -->
    <div class="hidden-bar-wrapper">
        <div class="hidden-bar-closer"><span class="icon"><svg class="icon-close" role="presentation" viewBox="0 0 16 14"><path d="M15 0L1 14m14 0L1 0" stroke="currentColor" fill="none" fill-rule="evenodd"></path></svg></span></div>
        <div class="nav-logo-box">
            <div class="logo"><?php echo arkina_logo( $logo_type, $dark_color_logo, $dark_color_logo_dimension, $logo_text, $logo_typography ); ?></div>
        </div>
        <!-- .Side-menu -->
        <div class="side-menu">
             <ul class="navigation clearfix">
                <?php wp_nav_menu( array( 'theme_location' => 'sidebar_menu', 'container_id' => 'navbar-collapse-1',
                    'container_class'=>'navbar-collapse collapse navbar-right',
                    'menu_class'=>'nav navbar-nav',
                    'fallback_cb'=>false,
                    'items_wrap' => '%3$s',
                    'container'=>false,
                    'depth'=>'3',
                    'walker'=> new Bootstrap_walker()
                ) ); ?>
            </ul>
        </div><!-- /.Side-menu -->
        <?php if($options->get( 'header_btn_title2' ) || $options->get( 'header_btn_title3' )){?>
        <div class="links-box clearfix">
            <div class="clearfix">
                <?php if($options->get( 'header_btn_title2' )){?>
                <div class="link"><a href="<?php echo esc_url($options->get( 'header_btn_link2'));?>" class="theme-btn btn-style-one"><span class="btn-box"><span class="btn-txt"><?php echo wp_kses( $options->get( 'header_btn_title2'), true ); ?></span></span></a></div>
                <?php } ?>
                <?php if($options->get( 'header_btn_title3' )){?>
                <div class="link"><a href="<?php echo esc_url($options->get( 'header_btn_link3'));?>" class="theme-btn btn-style-one"><span class="btn-box"><span class="btn-txt"><?php echo wp_kses( $options->get( 'header_btn_title3'), true ); ?></span></span></a></div>
                <?php } ?>
            </div>
        </div>
        <?php } ?>
    </div><!-- / Hidden Bar Wrapper -->
</section>
<!-- / Hidden Bar -->
        
    
    
