<?php

namespace ARCHWAYPLUGIN\Element;


class Elementor {
	static $widgets = array(
		//Home Page One
		'banner',
		'funfact_box',
		'project_grid',
		'faqs',
		'project_cat',
		'icon_box',
		'about_us',
		'blog_post',
		'clients',
		'newsletter_form',
		
		//Home Page Three
		'service_grid',
		'testimonial_carousel',
		'our_team',
		
		//Home Page Five
		'banner_carousel',
		
		//Inner Pages
		'form',
		'masonary_projects',
		
	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}

	static function loader() {

		foreach ( self::$widgets as $widget ) {

			$file = ARCHWAYPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}

			add_action( 'elementor/widgets/widgets_registered', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\ARCHWAYPLUGIN\\Element\\' . ucwords( $widget );

			if ( class_exists( $class ) ) {
				$elemntor->register_widget_type( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {

		$elements_manager->add_category(
			'archway',
			[
				'title' => esc_html__( 'Archway', 'archway' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'templatepath',
			[
				'title' => esc_html__( 'Theme Wisdom', 'archway' ),
				'icon'  => 'fa fa-plug',
			]
		);

	}
}

Elementor::init();