<?php
///----footer One widgets---
//Contact Info
class Archway_Contact_Info extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Archway_contact_info', /* Name */esc_html__('Archway Contact Info','archway'), array( 'description' => esc_html__('Show the Contact Info', 'archway' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );

		echo wp_kses_post($before_widget);?>
        
        <div class="links-widget">
            <?php if($instance['info_title']){ ?><h5><?php echo wp_kses_post($instance['info_title']); ?></h5><?php } ?>
            <div class="info">
                <ul>
                    <?php if($instance['address']){ ?><li class="address"><?php echo wp_kses_post($instance['address']); ?></li><?php } ?>
                    <?php if($instance['phone_no']){ ?><li class="phone"><a href="tel:<?php echo esc_attr($instance['phone_no']); ?>"><?php echo wp_kses_post($instance['phone_title']); ?> <?php echo wp_kses_post($instance['phone_no']); ?></a></li><?php } ?>
                    <?php if($instance['email_address']){ ?><li class="email"><a href="mailto:<?php echo esc_attr($instance['email_address']); ?>"><?php echo wp_kses_post($instance['email_title']); ?> <?php echo wp_kses_post($instance['email_address']); ?></a></li><?php } ?>
                </ul>
            </div>
            <?php if($instance['info_title2']){ ?><h5><?php echo wp_kses_post($instance['info_title2']); ?></h5><?php } ?>
            <div class="info">
                <ul>
                    <?php if($instance['address2']){ ?><li class="address"><?php echo wp_kses_post($instance['address2']); ?></li><?php } ?>
                    <?php if($instance['phone_no2']){ ?><li class="phone"><a href="tel:<?php echo esc_attr($instance['phone_no2']); ?>"><?php echo wp_kses_post($instance['phone_title2']); ?> <?php echo wp_kses_post($instance['phone_no2']); ?></a></li><?php } ?>
                    <?php if($instance['email_address2']){ ?><li class="email"><a href="mailto:<?php echo esc_attr($instance['email_address2']); ?>"><?php echo wp_kses_post($instance['email_title2']); ?> <?php echo wp_kses_post($instance['email_address2']); ?></a></li><?php } ?>
                </ul>
            </div>
        </div>             	 
            
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['info_title'] = $new_instance['info_title'];
		$instance['address'] = $new_instance['address'];
		$instance['phone_title'] = $new_instance['phone_title'];
		$instance['phone_no'] = $new_instance['phone_no'];
		$instance['email_title'] = $new_instance['email_title'];
		$instance['email_address'] = $new_instance['email_address'];
		$instance['info_title2'] = $new_instance['info_title2'];
		$instance['address2'] = $new_instance['address2'];
		$instance['phone_title2'] = $new_instance['phone_title2'];
		$instance['phone_no2'] = $new_instance['phone_no2'];
		$instance['email_title2'] = $new_instance['email_title2'];
		$instance['email_address2'] = $new_instance['email_address2'];
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		$info_title = ($instance) ? esc_attr($instance['info_title']) : '';
		$address = ($instance) ? esc_attr($instance['address']) : '';
		$phone_title = ($instance) ? esc_attr($instance['phone_title']) : '';
		$phone_no = ($instance) ? esc_attr($instance['phone_no']) : '';
		$email_title = ($instance) ? esc_attr($instance['email_title']) : '';
		$email_address = ($instance) ? esc_attr($instance['email_address']) : '';
		$info_title2 = ($instance) ? esc_attr($instance['info_title2']) : '';
		$address2 = ($instance) ? esc_attr($instance['address2']) : '';
		$phone_title2 = ($instance) ? esc_attr($instance['phone_title2']) : '';
		$phone_no2 = ($instance) ? esc_attr($instance['phone_no2']) : '';
		$email_title2 = ($instance) ? esc_attr($instance['email_title2']) : '';
		$email_address2 = ($instance) ? esc_attr($instance['email_address2']) : '';
		?>
       
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('info_title')); ?>"><?php esc_html_e('Title:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Title', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('info_title')); ?>" name="<?php echo esc_attr($this->get_field_name('info_title')); ?>" type="text" value="<?php echo esc_attr($info_title); ?>" />
        </p>                    
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('address')); ?>"><?php esc_html_e('Address:', 'archway'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('address')); ?>" name="<?php echo esc_attr($this->get_field_name('address')); ?>" ><?php echo wp_kses_post($address); ?></textarea>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_title')); ?>"><?php esc_html_e('Phone Title:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Phone Title', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('phone_title')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_title')); ?>" type="text" value="<?php echo esc_attr($phone_title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_no')); ?>"><?php esc_html_e('Phone Number:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Phone Number', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('phone_no')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_no')); ?>" type="text" value="<?php echo esc_attr($phone_no); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_title')); ?>"><?php esc_html_e('Email Title:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Email Title', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('email_title')); ?>" name="<?php echo esc_attr($this->get_field_name('email_title')); ?>" type="text" value="<?php echo esc_attr($email_title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_address')); ?>"><?php esc_html_e('Email Address:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Email Address', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('email_address')); ?>" name="<?php echo esc_attr($this->get_field_name('email_address')); ?>" type="text" value="<?php echo esc_attr($email_address); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('info_title2')); ?>"><?php esc_html_e('Title:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Title', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('info_title2')); ?>" name="<?php echo esc_attr($this->get_field_name('info_title2')); ?>" type="text" value="<?php echo esc_attr($info_title2); ?>" />
        </p>                    
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('address2')); ?>"><?php esc_html_e('Address:', 'archway'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('address2')); ?>" name="<?php echo esc_attr($this->get_field_name('address2')); ?>" ><?php echo wp_kses_post($address2); ?></textarea>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_title2')); ?>"><?php esc_html_e('Phone Title:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Phone Title', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('phone_title2')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_title2')); ?>" type="text" value="<?php echo esc_attr($phone_title2); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_no2')); ?>"><?php esc_html_e('Phone Number:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Phone Number', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('phone_no2')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_no2')); ?>" type="text" value="<?php echo esc_attr($phone_no2); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_title2')); ?>"><?php esc_html_e('Email Title:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Email Title', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('email_title2')); ?>" name="<?php echo esc_attr($this->get_field_name('email_title2')); ?>" type="text" value="<?php echo esc_attr($email_title2); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_address2')); ?>"><?php esc_html_e('Email Address:', 'archway'); ?></label>
            <input placeholder="<?php esc_attr_e('Email Address', 'archway');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('email_address2')); ?>" name="<?php echo esc_attr($this->get_field_name('email_address2')); ?>" type="text" value="<?php echo esc_attr($email_address2); ?>" />
        </p>
                
		<?php 
	}
	
}

//Newsletter Form
class Archway_Newsletter_Form extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Archway_Newsletter_Form', /* Name */esc_html__('Archway Newsletter Form','archway'), array( 'description' => esc_html__('Show the Newsletter Form', 'archway' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		$title = apply_filters('widget_title', $instance['title']);

		echo wp_kses_post($before_widget);?>
        	<div class="newsletter-widget-1">
                <?php echo wp_kses_post($before_title.$title.$after_title); ?>
                <p class="mb_20 c_light2 fw_medium"><?php echo wp_kses_post($instance['content2']); ?></p>
                <div class="footer-newsletter mb_25">
                    <?php echo do_shortcode($instance['form_url2']); ?>
                </div>
                <?php if( $instance['show2'] ): ?>
                <ul class="footer-social-media">
                    <?php echo wp_kses_post(archway_get_social_icon()); ?>
                </ul>
                <?php endif; ?>
            </div>                              	 
            
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['content2'] = $new_instance['content2'];
		$instance['form_url2'] = $new_instance['form_url2'];
		$instance['show2'] = $new_instance['show2'];
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		$title = ($instance) ? esc_attr($instance['title']) : esc_html__('Newsletter', 'archway');
		$content2 = ($instance) ? esc_attr($instance['content2']) : '';
		$form_url2 = ($instance) ? esc_attr($instance['form_url2']) : '';
		$show2 = ($instance) ? esc_attr($instance['show2']) : '';
		?>
       
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title: ', 'archway'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('content2')); ?>"><?php esc_html_e('Content:', 'archway'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('content2')); ?>" name="<?php echo esc_attr($this->get_field_name('content2')); ?>" type="text" value="<?php echo esc_attr($content2); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('form_url2')); ?>"><?php esc_html_e('Mail Chimp Form Url:', 'archway'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('form_url2')); ?>" name="<?php echo esc_attr($this->get_field_name('form_url2')); ?>" type="text" value="<?php echo esc_attr($form_url2); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('show2')); ?>"><?php esc_html_e('Show Social Icons:', 'archway'); ?></label>
			<?php $selected = ( $show2 ) ? ' checked="checked"' : ''; ?>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('show2')); ?>"<?php echo esc_attr($selected); ?> name="<?php echo esc_attr($this->get_field_name('show2')); ?>" type="checkbox" value="true" />
        </p>           
                
		<?php 
	}
	
}

///----Blog widgets---
//Recent News
class Archway_Recent_News extends WP_Widget
{
    /** constructor */
    public function __construct()
    {
        parent::__construct( /* Base ID */'Archway_Recent_News', /* Name */esc_html__('Archway Blog Recent News', 'archway'), array( 'description' => esc_html__('Show the Blog Recent News', 'archway')));
    }


    /** @see WP_Widget::widget */
    public function widget($args, $instance)
    {
        extract($args);
        $title = apply_filters('widget_title', $instance['title']);

        echo wp_kses_post($before_widget); ?>
        <!-- Post Widget -->
        <div class="post-widget">
        	<div class="widget-content">
            	<?php echo wp_kses_post($before_title.$title.$after_title); ?>
    			<?php $query_string = array('showposts'=>$instance['number']);
    				if ($instance['cat']) {
    					$query_string['tax_query'] = array(array('taxonomy' => 'category','field' => 'id','terms' => (array)$instance['cat']));
    				}
    				$this->posts($query_string); 
    			 ?>
            </div>
        </div>     
        
        <?php echo wp_kses_post($after_widget);
    }


    /** @see WP_Widget::update */
    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;

        $instance['title'] = strip_tags($new_instance['title']);
        $instance['number'] = $new_instance['number'];
        $instance['cat'] = $new_instance['cat'];

        return $instance;
    }

    /** @see WP_Widget::form */
    public function form($instance)
    {
        $title = ($instance) ? esc_attr($instance['title']) : esc_html__('Latest Post', 'archway');
        $number = ($instance) ? esc_attr($instance['number']) : 3;
        $cat = ($instance) ? esc_attr($instance['cat']) : ''; ?>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title: ', 'archway'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e('No. of Posts:', 'archway'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php echo esc_attr($number); ?>" />
        </p>
		<p>
            <label for="<?php echo esc_attr($this->get_field_id('categories')); ?>"><?php esc_html_e('Category', 'archway'); ?></label>
            <?php wp_dropdown_categories(array('show_option_all'=>esc_html__('All Categories', 'archway'), 'taxonomy' => 'category', 'selected'=>$cat, 'class'=>'widefat', 'name'=>$this->get_field_name('cat'))); ?>
        </p>

        <?php
    }

    public function posts($query_string)
    {

        $query = new WP_Query($query_string);
        if ($query->have_posts()):?>
			<?php
				while ($query->have_posts()): $query->the_post();
			?>
            <div class="post">
                <div class="thumb"><a href="<?php echo esc_url(get_the_permalink(get_the_id()));?>"><?php the_post_thumbnail('archway_80x80'); ?></a></div>
                <h6><a href="<?php echo esc_url(get_the_permalink(get_the_id()));?>"><?php echo wp_trim_words( get_the_title(), 5, '...' );?></a></h6>
            </div>
			<?php endwhile; ?>                      

        <?php endif;
        wp_reset_postdata();
    }
}
