<?php



namespace ARCHWAYPLUGIN\Inc;





use ARCHWAYPLUGIN\Inc\Abstracts\Taxonomy;





class Taxonomies extends Taxonomy {





	public static function init() {



		//Project Taxonomy Start

		$labels = array(

			'name'              => _x( 'Project Category', 'wparchway' ),

			'singular_name'     => _x( 'Project Category', 'wparchway' ),

			'search_items'      => __( 'Search Category', 'wparchway' ),

			'all_items'         => __( 'All Categories', 'wparchway' ),

			'parent_item'       => __( 'Parent Category', 'wparchway' ),

			'parent_item_colon' => __( 'Parent Category:', 'wparchway' ),

			'edit_item'         => __( 'Edit Category', 'wparchway' ),

			'update_item'       => __( 'Update Category', 'wparchway' ),

			'add_new_item'      => __( 'Add New Category', 'wparchway' ),

			'new_item_name'     => __( 'New Category Name', 'wparchway' ),

			'menu_name'         => __( 'Project Category', 'wparchway' ),

		);

		$args   = array(

			'hierarchical'       => true,

			'labels'             => $labels,

			'show_ui'            => true,

			'show_admin_column'  => true,

			'query_var'          => true,

			'public'             => true,

			'publicly_queryable' => true,

			'rewrite'            => array( 'slug' => 'project_cat' ),

		);



		register_taxonomy( 'project_cat', 'project', $args );

		

		//Service Taxonomy Start

		$labels = array(

			'name'              => _x( 'Service Category', 'wparchway' ),

			'singular_name'     => _x( 'Service Category', 'wparchway' ),

			'search_items'      => __( 'Search Category', 'wparchway' ),

			'all_items'         => __( 'All Categories', 'wparchway' ),

			'parent_item'       => __( 'Parent Category', 'wparchway' ),

			'parent_item_colon' => __( 'Parent Category:', 'wparchway' ),

			'edit_item'         => __( 'Edit Category', 'wparchway' ),

			'update_item'       => __( 'Update Category', 'wparchway' ),

			'add_new_item'      => __( 'Add New Category', 'wparchway' ),

			'new_item_name'     => __( 'New Category Name', 'wparchway' ),

			'menu_name'         => __( 'Service Category', 'wparchway' ),

		);

		$args   = array(

			'hierarchical'       => true,

			'labels'             => $labels,

			'show_ui'            => true,

			'show_admin_column'  => true,

			'query_var'          => true,

			'public'             => true,

			'publicly_queryable' => true,

			'rewrite'            => array( 'slug' => 'service_cat' ),

		);



		register_taxonomy( 'service_cat', 'service', $args );

		

		//Testimonials Taxonomy Start

		$labels = array(

			'name'              => _x( 'Testimonials Category', 'wparchway' ),

			'singular_name'     => _x( 'Testimonials Category', 'wparchway' ),

			'search_items'      => __( 'Search Category', 'wparchway' ),

			'all_items'         => __( 'All Categories', 'wparchway' ),

			'parent_item'       => __( 'Parent Category', 'wparchway' ),

			'parent_item_colon' => __( 'Parent Category:', 'wparchway' ),

			'edit_item'         => __( 'Edit Category', 'wparchway' ),

			'update_item'       => __( 'Update Category', 'wparchway' ),

			'add_new_item'      => __( 'Add New Category', 'wparchway' ),

			'new_item_name'     => __( 'New Category Name', 'wparchway' ),

			'menu_name'         => __( 'Testimonials Category', 'wparchway' ),

		);

		$args   = array(

			'hierarchical'       => true,

			'labels'             => $labels,

			'show_ui'            => true,

			'show_admin_column'  => true,

			'query_var'          => true,

			'public'             => true,

			'publicly_queryable' => true,

			'rewrite'            => array( 'slug' => 'testimonials_cat' ),

		);





		register_taxonomy( 'testimonials_cat', 'testimonials', $args );

		

		

		//Team Taxonomy Start

		$labels = array(

			'name'              => _x( 'Team Category', 'wparchway' ),

			'singular_name'     => _x( 'Team Category', 'wparchway' ),

			'search_items'      => __( 'Search Category', 'wparchway' ),

			'all_items'         => __( 'All Categories', 'wparchway' ),

			'parent_item'       => __( 'Parent Category', 'wparchway' ),

			'parent_item_colon' => __( 'Parent Category:', 'wparchway' ),

			'edit_item'         => __( 'Edit Category', 'wparchway' ),

			'update_item'       => __( 'Update Category', 'wparchway' ),

			'add_new_item'      => __( 'Add New Category', 'wparchway' ),

			'new_item_name'     => __( 'New Category Name', 'wparchway' ),

			'menu_name'         => __( 'Team Category', 'wparchway' ),

		);

		$args   = array(

			'hierarchical'       => true,

			'labels'             => $labels,

			'show_ui'            => true,

			'show_admin_column'  => true,

			'query_var'          => true,

			'public'             => true,

			'publicly_queryable' => true,

			'rewrite'            => array( 'slug' => 'team_cat' ),

		);





		register_taxonomy( 'team_cat', 'team', $args );

		

		//Faqs Taxonomy Start

		$labels = array(

			'name'              => _x( 'Faqs Category', 'wparchway' ),

			'singular_name'     => _x( 'Faqs Category', 'wparchway' ),

			'search_items'      => __( 'Search Category', 'wparchway' ),

			'all_items'         => __( 'All Categories', 'wparchway' ),

			'parent_item'       => __( 'Parent Category', 'wparchway' ),

			'parent_item_colon' => __( 'Parent Category:', 'wparchway' ),

			'edit_item'         => __( 'Edit Category', 'wparchway' ),

			'update_item'       => __( 'Update Category', 'wparchway' ),

			'add_new_item'      => __( 'Add New Category', 'wparchway' ),

			'new_item_name'     => __( 'New Category Name', 'wparchway' ),

			'menu_name'         => __( 'Faqs Category', 'wparchway' ),

		);

		$args   = array(

			'hierarchical'       => true,

			'labels'             => $labels,

			'show_ui'            => true,

			'show_admin_column'  => true,

			'query_var'          => true,

			'public'             => true,

			'publicly_queryable' => true,

			'rewrite'            => array( 'slug' => 'faqs_cat' ),

		);





		register_taxonomy( 'faqs_cat', 'faqs', $args );

		

		

	}

	

}

