<?php
return array(
	'title'      => 'Archway Project Setting',
	'id'         => 'archway_meta_projects',
	'icon'       => 'el el-cogs',
	'position'   => 'normal',
	'priority'   => 'core',
	'post_types' => array( 'project' ),
	'sections'   => array(
		array(
			'id'     => 'archway_projects_meta_setting',
			'fields' => array(
				array(
					'id'    => 'project_style',
					'type'  => 'select',
					'title' => esc_html__( 'Choose the Project Detail Layout', 'archway' ),
					'options'  => array(
						'1' => esc_html__( 'Style One', 'archway' ),
						'2' => esc_html__( 'Style Two', 'archway' ),
						'3' => esc_html__( 'Style Three', 'archway' ),
						'4' => esc_html__( 'Style Four', 'archway' ),
						'5' => esc_html__( 'Style Five', 'archway' ),
						'6' => esc_html__( 'Style Six', 'archway' ),
						'7' => esc_html__( 'Style Seven', 'archway' ),
					),
					'default'  => '1',
				),
				array(
					'id'    => 'project_designation',
					'type'  => 'text',
					'title' => esc_html__( 'Designation', 'archway' ),					
				),
				array(
					'id'    => 'top_description',
					'type'  => 'textarea',
					'title' => esc_html__( 'Description', 'archway' ),					
				),
				array(
					'id'       => 'gallery_imgs',
					'type'     => 'gallery',
					'url'      => true,
					'required' => array('project_style', '=', '3', true),
					'title'    => esc_html__('Slider Image', 'archway'),
					'desc'     => esc_html__('Insert Project Single Page Slide Image URl', 'archway'),
				),
				array(
					'id'    => 'feature_image',
					'type'  => 'media',
					'title' => esc_html__( 'Feature Image', 'archway' ),
				),
				array(
					'id'    => 'feature_image2',
					'type'  => 'media',
					'title' => esc_html__( 'Feature Image', 'archway' ),
				),
				array(
					'id'    => 'feature_image3',
					'type'  => 'media',
					'title' => esc_html__( 'Feature Image', 'archway' ),
				),
				array(
					'id'    => 'feature_image4',
					'type'  => 'media',
					'title' => esc_html__( 'Feature Image', 'archway' ),
				),						
				array(
					'id'        => 'info_tabs',
					'type'      => 'repeater',
					'icon' => 'el-icon-thumbs-up',
					'title'     => __('Add Info Item', 'archway'),
					'group_values' => true,
					'sortable' => true,
					'fields'    => array(
						array(
							'id'      => 'info_title',
							'type'    => 'text',
							'title'   => __('Title', 'archway'),
						),
						array(
							'id'      => 'info_text',
							'type'    => 'text',
							'title'   => __('Text', 'archway'),
						),
					)
				),	
				
				array(
					'id'    => 'form_title',
					'type'  => 'text',
					'title' => esc_html__( 'Form Title', 'archway' ),
				),
				array(
					'id'    => 'newsletter_form_text',
					'type'  => 'text',
					'title' => esc_html__( 'Form Description', 'archway' ),
				),
				array(
					'id'    => 'form_url',
					'type'  => 'text',
					'title' => esc_html__( 'Form url', 'archway' ),
				),				
				array(
					'id'    => 'project_dimension',
					'type'  => 'select',
					'title' => esc_html__( 'Choose the Extra height', 'archway' ),
					'options'  => array(
						'normal_size' => esc_html__( 'Normal Size', 'archway' ),
						'normal_height' => esc_html__( 'Normal Height', 'archway' ),
						'normal_width_height' => esc_html__( 'Normal Height And Width', 'archway' ),
						'extra_height' => esc_html__( 'Extra Height', 'archway' ),
						'extra_larg_height' => esc_html__( 'Extra Larg Height', 'archway' ),
						'extra_width' => esc_html__( 'Extra Width', 'archway' ),
						'extra_width_height' => esc_html__( 'Extra Width and Height', 'archway' ),
					),
					'default'  => 'normal_size',
				),
			),
		),
	),
);